## golang-github-wellington-go-libsass 0.9.2%2Bgit20181130.4ef5b9d

=== Makefile ===
export PKG_CONFIG_PATH=$(shell pwd)/lib/pkgconfig

install: deps

deps: fetch

fetch:
	git submodule sync
	git submodule update --init

libsass-src: fetch


libsass-src/Makefile.conf: fetch

include libsass-src/Makefile.conf

LIBSASS_VERSION:=$(shell cd libsass-src; ./version.sh)
libsass-build/include/sass/version.h: libsass-src/include/sass/version.h.in
	echo "Stamping version $(LIBSASS_VERSION)"
	sed 's/@PACKAGE_VERSION@/$(LIBSASS_VERSION)/' libsass-src/include/sass/version.h.in > libsass-build/include/sass/version.h

.PHONY: libsass-build
SOURCES=libsass-build/*.cpp libsass-build/*.c libsass-build/*.h libsass-build/*.hpp
libsass-build: libsass-src
	mkdir -p libsass-build/include
	rm -rf $(SOURCES)

	# more stuff
	cp -R libsass-src/src/*.c libsass-build
	cp -R libsass-src/src/*.cpp libsass-build
	cp -R libsass-src/src/*.h libsass-build
	cp -R libsass-src/src/*.hpp libsass-build

	cp -R libsass-src/src/b64 libsass-build
	cp -R libsass-src/include libsass-build
	cp -R libsass-src/src/memory libsass-build
	cp -R libsass-src/src/utf8 libsass-build

	# hack remove the [NA] version.h
	rm libsass-build/include/sass/version.h
	$(MAKE) libsass-build/include/sass/version.h

	touch libs/*.go

update-libsass: libsass-build
	@echo "Success"

.PHONY: test
test:
	go test -race .

cleanfiles:
	rm -rf lib include libsass-src libsass-tmp

clean: cleanfiles
	git submodule update

## golang-github-wellington-go-libsass 0.9.2+git20180624.615eaa4

=== debian/changelog ===
golang-github-wellington-go-libsass (0.9.2+git20180624.615eaa4-1) unstable; urgency=medium

  * Initial release (Closes: #902000)
  * New upstream version 0.9.2+git20180624.615eaa4:
    - Add libs.SassOptionSetInputPath which is needed for
      source map generation from a non-file context. (e.g. for Hugo)
  * Remove remove-unused-init-in-context_test.patch,
    which has been accepted upstream.
    See https://github.com/wellington/go-libsass/pull/65
  * Add missing copyright information of LibSass files inside the
    libsass-build/ directory to debian/copyright
  * Bump Standards-Version to 4.2.1 (no change)

 -- Anthony Fok <foka@debian.org>  Sat, 22 Sep 2018 02:00:33 -0600

golang-github-wellington-go-libsass (0.9.2+git20180616.2e55e60-1) UNRELEASED; urgency=medium

  * Initial release attempt: rejected

 -- Anthony Fok <foka@debian.org>  Thu, 21 Jun 2018 14:00:11 -0600

=== debian/control ===
Source: golang-github-wellington-go-libsass
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-golang-x-net-dev,
               libsass-dev
Standards-Version: 4.2.1
Homepage: https://github.com/wellington/go-libsass
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-wellington-go-libsass
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-wellington-go-libsass.git
XS-Go-Import-Path: github.com/wellington/go-libsass
Testsuite: autopkgtest-pkg-go

Package: golang-github-wellington-go-libsass-dev
Architecture: all
Depends: ${misc:Depends},
         golang-golang-x-net-dev,
         libsass-dev
Description: Go wrapper for libsass, the only Sass 3.5 compiler for Go
 The only Sass compliant Go library!  go-libsass is a wrapper to the
 sass/libsass (http://github.com/sass/libsass) project.
 .
 Basic example:
 .
     buf := bytes.NewBufferString("div { p { color: red; } }")
     if err != nil {
         log.Fatal(err)
     } comp, err := libsass.New(os.Stdout, buf) if err != nil {
         log.Fatal(err)
     }
 .
     if err := comp.Run(); err != nil {
         log.Fatal(err)
     }
 .
 Output:
 .
     div p {
       color: red; }

## golang-github-wellington-go-libsass 0.9.2+git20181130.4ef5b9d

=== debian/changelog ===
golang-github-wellington-go-libsass (0.9.2+git20181130.4ef5b9d-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 16:12:50 +0100

golang-github-wellington-go-libsass (0.9.2+git20181130.4ef5b9d-1) unstable; urgency=medium

  * New upstream version 0.9.2+git20181130.4ef5b9d
  * Update dependency on libsass-dev to (>= 3.5.5~)
  * Update Maintainer email address to team+pkg-go@tracker.debian.org

 -- Anthony Fok <foka@debian.org>  Thu, 20 Dec 2018 16:51:52 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: golang-github-wellington-go-libsass
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-any,
                golang-golang-x-net-dev,
-               libsass-dev
+               libsass-dev (>= 3.5.5~)
 Standards-Version: 4.2.1
 Homepage: https://github.com/wellington/go-libsass
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-wellington-go-libsass
@@ -19,7 +19,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          golang-golang-x-net-dev,
-         libsass-dev
+         libsass-dev (>= 3.5.5~)
 Description: Go wrapper for libsass, the only Sass 3.5 compiler for Go
  The only Sass compliant Go library!  go-libsass is a wrapper to the
  sass/libsass (http://github.com/sass/libsass) project.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := external/ examples/ blah
export DH_GOLANG_INSTALL_EXTRA := test/

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	# dh_auto_build -O--buildsystem=golang -- -tags dev -x
	dh_auto_build -O--buildsystem=golang -- -x
